Subject: RE: Remaining MUSTs in default-addr-select-02

From: Richard Draves <[email-masked]>
Date: Tue, 19 Dec 2000 21:26:22 -0800

>   | When routers are forwarding packets, the draft doesn't 
> apply since they are
>   | not performing source or destination address selection. 
> But when routers do
>   | perform source or destination address selection, then I 
> believe the draft
>   | should apply. So I think it is appropriate for the scope 
> of the draft to be
>   | all IPv6 nodes.
> 
> yes, though when operating in that mode it is also possible 
> to consider that
> the "router" is really a "host".

The requirement is the same either way, and I think it's clearer to just say
that the draft applies to both hosts & routers.

>   | > the network layer should go ahead and use that source 
>   | > address, even if the
>   | > routing table happens to dictate that the packet gets 
>   | > transmitted out a
>   | > different interface.
>   | Again, this is the same strong vs weak argument.
> 
> Yes, though in this case (with the strong model) the address selection
> should win, rather than the routing selection, and the packet should
> continue to get sent via the "wrong" interface.  That might mean
> it can no longer be delivered of course.  But a host "routing" system
> is rarely going to be complete enough to know this for sure without
> actually trying it.

Yes, thanks for the clarification.

Rich
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 20 Dec 2000 08:54:09 -0600

> that the draft applies to both hosts & routers.

I believe this is why "node" is defined the way it is in RFC 2460. It's an
inclusive term and all you need to say is that the address selection
mechanisms apply to all nodes.

   Brian